Subject: RE: [Sip] Introducing the "new bis" - draft-ietf-sip-rfc2543bis-0 5

From: "Rosen, Brian" <[email-masked]>
Date: Wed, 31 Oct 2001 13:28:42 -0500

I have been, and am still very interested in being able to implement
what is called MultiLevel Priority and Pre-emption in SIP.  As you
may recall, Jim Polk has made several proposals on this subject.

The current priority levels are advisory, the values are not defined,
and the current definition allows additional tokens to be used. I would
like to propose that the next revision, bis-06 deprecate the current
token values and substitute the 791 values.  I believe that, as the old
ones are indeed advisory, that any existing implementations would not break.

If that is not acceptable, I'd propose that we ADD the RFC 791 tokens
to the existing tokens, with language explaining what happened. 

Brian

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Friday, October 26, 2001 12:59 PM
> To: [email-masked]; [email-masked]
> Subject: Re: [Sip] Introducing the "new bis" -
> draft-ietf-sip-rfc2543bis-05
> 
> 
> Jonathan,
> 
> Regarding priority:
> 
> In Section 26, BNF,  (Page 185) the format for Priority got 
> mixed up. Some 
> extra spaces were inserted.
> 
> We have to figure what these defined values mean for the 
> actual usage. The 
> question is:
> 
> Why was the list of priorities taken from RFC 2076 rather 
> than from RFC 791? 
> RFC 2076 was informational and copied the list from RFC 1327 
> (which was 
> obsoleted by RFC 2156), They addressed mapping between X.400 
> and RFC 822, but 
> RFC 822 did not mention any such values. RFC 791 (and 
> appropriate existing 
> telephony standards) should form the basis of the priority 
> definition field 
> in SIP.
> 
> At this point, since I presume that no one would agree to 
> deleting the 
> current values in RFC 2543, tokens should be added to 
> correspond to the 5 
> values defined in RFC 791 (and also in current telephony 
> standards such as 
> ITU-T Q.735) which are required for military networks.
> 
> The alternative, as I detailed in a previous e-mail, is to 
> add 5 new generic 
> values like "LEVEL0", "LEVEL1", "LEVEL 2", etc. and let 
> networks or countries 
> associate whatever words with these levels that they want.
> 
> Also, there needs to be an explicit statement concerning the 
> order of the 
> present and the new values. There is no order specified for 
> the current set. 
> Different people would come to different conclusions about 
> the relative order 
> of "Routine" and "non-urgent". It needs to state that the 
> current four values 
> are in the descending order "emergency, urgent, routine, and 
> non-urgent". The 
> order of the 5 new values is as defined in RFC 791 and 
> applicable standards. 
> Also, there should be no defined relation between the current 
> set and the new 
> added set. It is not expected that they would be used 
> together, but if they 
> are, it is a local issue on how to handle them.
> 
> Mike Pierce
> Artel
> 
> _______________________________________________
> Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Henning G. Schulzrinne" <[email-masked]>
Date: Wed, 31 Oct 2001 19:45:23 -0500

> ones are indeed advisory, that any existing implementations would not break.

I'm opposed to that. The original values reflect "human communications
priorities", not network priorities. The RFC 791 priorities are

          111 - Network Control
          110 - Internetwork Control
          101 - CRITIC/ECP
          100 - Flash Override
          011 - Flash
          010 - Immediate
          001 - Priority
          000 - Routine

Unless you work for the military, they are essentially meaningless to
normal users. Anybody know what ECP is :-)?

Since we suffer no shortage of header names, I would suggest that we
have two different sets, one new header for "communications resource
priority" (based on RFC 791 and/or the ones suggested by Jim Polk) and
the existing Priority header for "human precedence", using the existing
naming scheme.

Usually, the two are closely related, but may not necessarily be. For
example, most calls, from a network perspective, may be "Routine", but I
may well consider it "High" priority for the receiving user.

I've heard that 791-style values are often assigned based on military
rank, so it could even be that a four-star general makes a "non-urgent"
call on a "Flash" circuit.

Changing names is not a good idea in general since existing
implementations may translate them into local languages (and leave
unrecognized names alone).

> > are in the descending order "emergency, urgent, routine, and

Good idea. That clearly is needed for any set.

-- 
Henning Schulzrinne   http://www.cs.columbia.edu/~hgs